# Wagtail 6.0 release notes - IN DEVELOPMENT

_Unreleased_

```{contents}
---
local:
depth: 1
---
```

## What's new


### Other features

 * Added `search_index` option to StreamField blocks to control whether the block is indexed for searching (Vedant Pandey)
 * Remember previous location on returning from page add/edit actions (Robert Rollins)
 * Update settings file in project settings to address Django 4.2 deprecations (Sage Abdullah)
 * Improve layout and accessibility of the image URL generator page, reduce reliance on JavaScript (Temidayo Azeez)
 * Allow `UniqueConstraint` in place of `unique_together` for {class}`~wagtail.models.TranslatableMixin`'s system check (Temidayo Azeez, Sage Abdullah)
 * Make use of `IndexView.get_add_url()` in snippets index view template (Christer Jensen, Sage Abdullah)

### Bug fixes

 * Update system check for overwriting storage backends to recognise the `STORAGES` setting introduced in Django 4.2 (phijma-leukeleu)
 * Prevent password change form from raising a validation error when browser autocomplete fills in the "Old password" field (Chiemezuo Akujobi)
 * Ensure that the legacy dropdown options, when closed, do not get accidentally clicked by other interactions wide viewports (CheesyPhoenix, Christer Jensen)
 * Add a fallback background for the editing preview iframe for sites without a background (Ian Price)
 * Preserve whitespace in rendered comments (Elhussein Almasri)
 * Remove search logging from project template so that new projects without the search promotions module will not error (Matt Westcott)
 * Ensure text only email notifications for updated comments do not escape HTML characters (Rohit Sharma)
 * Use the latest draft when copying an unpublished page for translation (Andrey Nehaychik)
 * Make Workflow and Aging Pages reports only available to users with page-related permissions (Rohit Sharma)
 * Make searching on specific fields work correctly on Elasticsearch when boost is in use (Matt Westcott)

### Documentation

 * Document, for contributors, the use of translate string literals passed as arguments to tags and filters using `_()` within templates (Chiemezuo Akujobi)
 * Document all features for the Documents app in one location, see [](../advanced_topics/documents/index) (Neeraj Yetheendran)

### Maintenance

 * Update BeautifulSoup upper bound to 4.12.x (scott-8)
 * Migrate initialization of classes (such as `body.ready`) from multiple JavaScript implementations to one Stimulus controller `w-init` (Chiemezuo Akujobi)
 * Adopt the usage of of translate string literals using `arg=_('...')` in all `wagtailadmin` module templates (Chiemezuo Akujobi)
 * Migrate the contrib styleguide index view to a class-based view (Chiemezuo Akujobi)
 * Update djhtml to 3.0.6 (Matt Westcott)
 * Migrate the contrib settings edit view to a class-based view (Chiemezuo Akujobi, Sage Abdullah)
 * Remove django-pattern-library upper bound in testing dependencies (Sage Abdullah)
 * Split up functions in Elasticsearch backend for easier extensibility (Marcel Kornblum, Cameron Lamb, Sam Dudley)
 * Relax draftjs_exporter dependency to allow using version 5.x (Sylvain Fankhauser)
 * Refine styling of listings, account settings panels and the block chooser (Meli Imelda)
 * Remove icon font support (Matt Westcott)
 * Remove deprecated SVG icons (Matt Westcott)
 * Migrate account editing view to a class-based view (Kehinde Bobade)
 * Upgrade frontend tooling to use Node 20 (LB (Ben) Johnston)
 * Upgrade `ruff` and replace `black` with `ruff format` (John-Scott Atlakson)


## Upgrade considerations - changes affecting all projects

### Support for Elasticsearch 5 and 6 dropped

The Elasticsearch 5 and 6 backends have been removed. If you are using one of these backends, you will need to upgrade to Elasticsearch 7 or 8 before upgrading to Wagtail 6.0.

## Upgrade considerations - deprecation of old functionality

## Upgrade considerations - changes affecting Wagtail customisations

## Upgrade considerations - changes to undocumented internals
